### Function Macro

# GObject VALUE_HOLDS

#### Declaration [src]

    #define G_VALUE_HOLDS (
      value,
      type
    )

#### Description [src]

Checks if `value` holds a value of `type`.

This macro will also check for `value != NULL` and issue a warning if the check fails.

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue` structure.

`type`

  Type: `-`

  A `GType`.